<bugID>903388<Summary>[Session Restore] Collect cookie hosts *after* serializing session history</Summary><Description>Currently, we collect cookies *while* serializing session history. While saves a couple of loop iterations it blocks moving session history serialization to a content process.

Cookies are global and the services will at least for now continue to live in the main process. Therefore we need to collect cookie hosts from the serialized session history.</Description></bugID>